type FiveRecordFieldsValuesType = {
    fields: Array<string>;
    values: Array<any>;
};
export declare class FiveRecord {
    key: string;
    versionKey: string;
    dateStart: string;
    data: any;
    constructor(key: string, versionKey: string, data: any, dateStart?: string);
    dup(): FiveRecord;
    isNewRecord(): boolean;
    getKey(): any;
    getVersionKey(): string;
    setKey(key: string): void;
    setVersionKey(versionKey: string): void;
    setData(data: any): void;
    getValue(fieldName: string): any;
    getFieldNameValues(): FiveRecordFieldsValuesType;
}
export declare class QuestionDialogParameters {
    question: string;
    onPositiveText: string;
    onNegativeText: string;
    onPositiveAction: (() => void) | null;
    onNegativeAction: (() => void) | null;
    constructor(question: string);
}
export {};
//# sourceMappingURL=FiveRecord.d.ts.map